#!/net/gs/vol3/software/modules-sw/R/2.15.1/Linux/RHEL6/x86_64/bin/Rscript
# The above "shebang" allows this file to be self-executing

# QuickDotplot.R
#
# This R script was generated by the Perl command QuickDotplot, at
# Mon Jan 16 12:36:02 2017
# Specifically, the command was:
# < directory=/cbcb/nelsayed-scratch/atb/git/lachesis/201601v3 >
# QuickDotplot clm.22.dotplot.txt


library( ggplot2, quietly=TRUE ) # ggplot

dotplot.file <- 'clm.22.dotplot.txt'
jpeg.file <- 'out/clm.22.dotplot.txt.jpg'


# Read the dotplot file.
dotplot <- read.table( dotplot.file, header=FALSE )

# Load the data into a ggplot object.
p <- ggplot( dotplot, aes( x=V1, y=V2 ) )
p <- p + theme_bw()

# Plot the points, and load in the colors, if any were given.
if ( ncol(dotplot) == 2 ) {
    p <- p + geom_point( size = 2, col='black' )
    w <- 14
} else {
    p <- p + geom_point( size = 2, aes( col=dotplot[,3] ) )
    if ( dim( table( dotplot[,3] ) ) <= 10 ) {
        p <- p + scale_colour_brewer(palette="Set1") # color mapping
    }
    w <- 12
}

# Assign text labels.
p <- p + ggtitle( "QuickDotplot of clm.22.dotplot.txt" )
p <- p + xlab("")
p <- p + ylab("")

# Save the plot to the jpeg file.  Adjust the width to make room for a legend, if there is one.
suppressWarnings( ggsave( filename=jpeg.file, plot=p, width=w, height=12 ) )

